module ByteCompiler
  def compile_bytes(*dat)
    total_value = 0
    dat = dat[0]
    dat.each_index do |i|
      total_value += dat[i] << (8*i)
    end
    return total_value
  end
  
  def decompile_bytes(value, num_bytes)
    total_array = Array.new
    num_bytes.times do |i|
      total_array << ((value & (0xFF << 8*i)) >> 8*i)
    end
    return total_array
  end
  
  def set_bit(value, bit)
    value = value | (1 << bit)
  end
  
  def unset_bit(value, bit)
    value = value & !(1 << bit)
  end
  
end
